For the complete documentation index, see llms.txt. This page is also available as Markdown.

Notification center endpoints

Network-level configurations

Get notification config

get

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Returns the notification center configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

The notification center configuration was successfully returned.

application/json

NotificationCenterConfig

createdstring · date-timeRequired
lastModifiedstring · date-timeRequired
versionnumberRequired
get/api/configurations/notifications
GET /api/configurations/notifications HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "channels": [
    {
      "enabled": true,
      "events": [
        "PICK_JOB_CREATED"
      ],
      "id": "text",
      "receiver": [
        {
          "email": "phil.bison@fulfillmenttools.com",
          "language": "de_DE"
        }
      ],
      "type": "EMAIL"
    }
  ],
  "created": "2026-01-01T00:00:00.000Z",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "version": 1
}

Update notification config

put

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Update the notification center configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
or
Responses
200

Notification center configuration was successfully updated.

application/json

NotificationCenterConfig

createdstring · date-timeRequired
lastModifiedstring · date-timeRequired
versionnumberRequired
put/api/configurations/notifications
PUT /api/configurations/notifications HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 164

{
  "channels": [
    {
      "enabled": true,
      "events": [
        "PICK_JOB_CREATED"
      ],
      "receiver": [
        {
          "email": "phil.bison@fulfillmenttools.com",
          "language": "de_DE"
        }
      ],
      "type": "EMAIL"
    }
  ],
  "version": 1
}
{
  "channels": [
    {
      "enabled": true,
      "events": [
        "PICK_JOB_CREATED"
      ],
      "id": "text",
      "receiver": [
        {
          "email": "phil.bison@fulfillmenttools.com",
          "language": "de_DE"
        }
      ],
      "type": "EMAIL"
    }
  ],
  "created": "2026-01-01T00:00:00.000Z",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "version": 1
}

Call notification action

post

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Executes an action to manipulate the notification center configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
or
Responses
200

Notification center configuration action was successfully executed.

application/json

NotificationCenterConfig

createdstring · date-timeRequired
lastModifiedstring · date-timeRequired
versionnumberRequired
post/api/configurations/notifications/actions
POST /api/configurations/notifications/actions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 182

{
  "channel": {
    "enabled": true,
    "events": [
      "PICK_JOB_CREATED"
    ],
    "receiver": [
      {
        "email": "phil.bison@fulfillmenttools.com",
        "language": "de_DE"
      }
    ],
    "type": "EMAIL"
  },
  "name": "ADD_CHANNEL",
  "version": 1
}
{
  "channels": [
    {
      "enabled": true,
      "events": [
        "PICK_JOB_CREATED"
      ],
      "id": "text",
      "receiver": [
        {
          "email": "phil.bison@fulfillmenttools.com",
          "language": "de_DE"
        }
      ],
      "type": "EMAIL"
    }
  ],
  "created": "2026-01-01T00:00:00.000Z",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "version": 1
}

Delete notification channel

delete

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Delete the notification channel.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
channelIdstringRequired
Query parameters
versionnumberRequired
Responses
200

Notification center config channel was successfully deleted.

No content

delete/api/configurations/notifications/channels/{channelId}
DELETE /api/configurations/notifications/channels/{channelId}?version=1 HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Facility-level configurations

Get facility notification config

get

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Returns the notification center facility configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityRefstringRequired
Responses
200

The notification center facility configuration was successfully returned.

application/json

NotificationCenterConfig

createdstring · date-timeRequired
lastModifiedstring · date-timeRequired
versionnumberRequired
get/api/facilities/{facilityRef}/configurations/notifications
GET /api/facilities/{facilityRef}/configurations/notifications HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "channels": [
    {
      "enabled": true,
      "events": [
        "PICK_JOB_CREATED"
      ],
      "id": "text",
      "receiver": [
        {
          "email": "phil.bison@fulfillmenttools.com",
          "language": "de_DE"
        }
      ],
      "type": "EMAIL"
    }
  ],
  "created": "2026-01-01T00:00:00.000Z",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "version": 1
}

Call facility notification action

post

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Executes an action to manipulate the notification center facility configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityRefstringRequired
Body
or
Responses
200

Notification center facility configuration action was successfully executed.

application/json

NotificationCenterConfig

createdstring · date-timeRequired
lastModifiedstring · date-timeRequired
versionnumberRequired
post/api/facilities/{facilityRef}/configurations/notifications/actions
POST /api/facilities/{facilityRef}/configurations/notifications/actions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 182

{
  "channel": {
    "enabled": true,
    "events": [
      "PICK_JOB_CREATED"
    ],
    "receiver": [
      {
        "email": "phil.bison@fulfillmenttools.com",
        "language": "de_DE"
      }
    ],
    "type": "EMAIL"
  },
  "name": "ADD_CHANNEL",
  "version": 1
}
{
  "channels": [
    {
      "enabled": true,
      "events": [
        "PICK_JOB_CREATED"
      ],
      "id": "text",
      "receiver": [
        {
          "email": "phil.bison@fulfillmenttools.com",
          "language": "de_DE"
        }
      ],
      "type": "EMAIL"
    }
  ],
  "created": "2026-01-01T00:00:00.000Z",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "version": 1
}

Update facility notification config

put

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Update the notification center facility configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityRefstringRequired
Body
or
Responses
200

Notification center facility configuration was successfully updated.

application/json

NotificationCenterConfig

createdstring · date-timeRequired
lastModifiedstring · date-timeRequired
versionnumberRequired
put/api/facilities/{facilityRef}/configurations/notifications
PUT /api/facilities/{facilityRef}/configurations/notifications HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 164

{
  "channels": [
    {
      "enabled": true,
      "events": [
        "PICK_JOB_CREATED"
      ],
      "receiver": [
        {
          "email": "phil.bison@fulfillmenttools.com",
          "language": "de_DE"
        }
      ],
      "type": "EMAIL"
    }
  ],
  "version": 1
}
{
  "channels": [
    {
      "enabled": true,
      "events": [
        "PICK_JOB_CREATED"
      ],
      "id": "text",
      "receiver": [
        {
          "email": "phil.bison@fulfillmenttools.com",
          "language": "de_DE"
        }
      ],
      "type": "EMAIL"
    }
  ],
  "created": "2026-01-01T00:00:00.000Z",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "version": 1
}

Delete facility notification channel

delete

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Delete the notification facility channel.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityRefstringRequired
channelIdstringRequired
Query parameters
versionnumberRequired
Responses
200

Notification center facility config channel was successfully deleted.

No content

delete/api/facilities/{facilityRef}/configurations/notifications/channels/{channelId}
DELETE /api/facilities/{facilityRef}/configurations/notifications/channels/{channelId}?version=1 HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated

Was this helpful?